com.google.gwt.aria.client

## Enum LiveValue

- java.lang.Object
- - java.lang.Enum<LiveValue>
  - - com.google.gwt.aria.client.LiveValue

All Implemented Interfaces:
  AriaAttributeType, java.io.Serializable, java.lang.Comparable<LiveValue>

    public enum LiveValue
    extends java.lang.Enum<LiveValue>
    implements AriaAttributeType

Property enum for 'aria-live' values.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ASSERTIVE`
`OFF`
`POLITE`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.lang.String` `getAriaValue()`
`static LiveValue` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static LiveValue[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### OFF

    public static final LiveValue OFF

#### POLITE

    public static final LiveValue POLITE

#### ASSERTIVE

    public static final LiveValue ASSERTIVE

### Method Detail

#### values

    public static LiveValue[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (LiveValue c : LiveValue.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static LiveValue valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getAriaValue

    public java.lang.String getAriaValue()

Specified by:
  `getAriaValue` in interface `AriaAttributeType`